Bug 535032 - (RHQ-1770) upgrade to latest version of Hibernate
upgrade to latest version of Hibernate
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core Server (Show other bugs)
1.1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 08:42 EDT by Ian Springer
Modified: 2013-08-05 20:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 09:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-03-12 08:42:00 EDT
We are currently using a patched version of 3.2.5.GA. The latest release is 3.3.1.GA. That's 6 minor releases later, so I would assume there have been a considerable number of bug fixes and performance improvements that we could benefit from.
Comment 1 Heiko W. Rupp 2009-03-13 05:55:05 EDT
Going to an "official" version of hibernate would also make upgrading of the JBossAS version easier.
Comment 2 fmatar 2009-08-25 08:20:52 EDT
This would require as well an upgrade of hibernate-entitymanager and hibernate-annotations. What are the tests that need to be passed to ensure a proper implementation of this upgrade?
Comment 3 fmatar 2009-08-25 09:58:45 EDT
This requires the following:
1. Update of the groupId in pom.xml 
2. Update of the PersistenceUtility class to include changes in the API. (mostly for mbean stats)

What is hibernate-all.jar is still used for? 

I'm currently doing the changes locally, will get back with results as soon as they're ready
Comment 4 Charles Crouch 2009-08-25 13:53:17 EDT
Re-targeting at the 1.4 release. Too close to the 1.3 release currently to do this. 
Comment 5 Red Hat Bugzilla 2009-11-10 15:46:17 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1770
Comment 6 wes hayutin 2010-02-16 10:44:50 EST
mass move off the qa triage list.  These are tasks for dev.
Comment 7 Ian Springer 2010-04-21 09:08:03 EDT
The following patch posted by Bryan Kearney upgrades RHQ to Hibernate 3.3.2.GA:

https://fedorahosted.org/pipermail/rhq-devel/2010-January/000037.html
Comment 8 Corey Welton 2010-12-23 09:24:58 EST
Per triage, closing this, will reopen when this actually takes place.

Note You need to log in before you can comment on or make changes to this bug.